"""Package classes of viperleed.gui.

Contains non-Qt classes used in gui (and, some, in calc).

Modules
-------
beamindex
    Defines the BeamIndex class. A tuple of (h, k) fractional indices
    identifying a LEED beam.
lattice2d
    A two-dimensional lattice with an associated plane group.
planegroup
    Basic symmetry information for a 2D-periodic crystal structure.
"""

__authors__ = (
    'Michele Riva (@michele-riva)',
    )
__copyright__ = 'Copyright (c) 2019-2025 ViPErLEED developers'
__created__ = '2024-02-02'
__license__ = 'GPLv3+'
